DL_CryptoSchemeOptions< T1, T2, T3, T4, T5 > Struct Template Reference

_ More...

`#include <pubkey.h>`

Inheritance diagram for DL_CryptoSchemeOptions< T1, T2, T3, T4, T5 >:

## Public Types

typedef T3 | KeyAgreementAlgorithm
typedef T4 | KeyDerivationAlgorithm
typedef T5 | SymmetricEncryptionAlgorithm
typedef T2 | Keys
typedef Keys::PrivateKey | PrivateKey
typedef Keys::PublicKey | PublicKey
typedef T1 | AlgorithmInfo
typedef T2 | GroupParameters
typedef GroupParameters::Element | Element

## Detailed Description

### template<class T1, class T2, class T3, class T4, class T5>
struct DL_CryptoSchemeOptions< T1, T2, T3, T4, T5 >

_

Definition at line 1272 of file pubkey.h.

The documentation for this struct was generated from the following file:

- pubkey.h